Pular para o conteúdo
Alibaba logo

HappyHorse 1.0 T2V

Text-to-Video • Alibaba

Ver como Markdown
  • Third-party
  • Zero data retention

Alibaba's HappyHorse 1.0 text-to-video model. Generates videos from a text prompt with configurable resolution, aspect ratio, and duration (3-15s).

Model Info
Terms and License link
More information link
Zero data retentionYes
Pricing View pricing in the Cloudflare dashboard

Usage

const response = await env.AI.run(
  'alibaba/hh1-t2v',
  { prompt: 'A little girl walking on the road' },
)
console.log(response)
curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
  --header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
  --header "Content-Type: application/json" \
  --data '{
  "model": "alibaba/hh1-t2v",
  "input": {
    "prompt": "A little girl walking on the road"
  }
}'
{
  "gatewayMetadata": {
    "keySource": "BYOK"
  },
  "result": {
    "video": "https://pub-04a6d208d361438ea01b797e6973bd19.r2.dev/catalog/alibaba__hh1-t2v/simple-text-to-video.mp4"
  },
  "state": "Completed"
}

Examples

Vertical 1080P — Vertical 9:16 output at 1080P for social media
const response = await env.AI.run(
  'alibaba/hh1-t2v',
  {
    prompt: 'A dog running through a field of tall grass, slow motion, golden hour',
    duration: 6,
    ratio: '9:16',
    resolution: '1080P',
  },
)
console.log(response)
curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
  --header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
  --header "Content-Type: application/json" \
  --data '{
  "model": "alibaba/hh1-t2v",
  "input": {
    "prompt": "A dog running through a field of tall grass, slow motion, golden hour",
    "duration": 6,
    "ratio": "9:16",
    "resolution": "1080P"
  }
}'
{
  "gatewayMetadata": {
    "keySource": "BYOK"
  },
  "result": {
    "video": "https://pub-04a6d208d361438ea01b797e6973bd19.r2.dev/catalog/alibaba__hh1-t2v/vertical-1080p.mp4"
  },
  "state": "Completed"
}
Reproducible Output — Use a fixed seed for reproducibility
const response = await env.AI.run(
  'alibaba/hh1-t2v',
  {
    prompt: 'Clouds drifting across a mountain range, time-lapse style',
    duration: 5,
    ratio: '16:9',
    resolution: '720P',
    seed: 42,
  },
)
console.log(response)
curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
  --header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
  --header "Content-Type: application/json" \
  --data '{
  "model": "alibaba/hh1-t2v",
  "input": {
    "prompt": "Clouds drifting across a mountain range, time-lapse style",
    "duration": 5,
    "ratio": "16:9",
    "resolution": "720P",
    "seed": 42
  }
}'
{
  "gatewayMetadata": {
    "keySource": "BYOK"
  },
  "result": {
    "video": "https://pub-04a6d208d361438ea01b797e6973bd19.r2.dev/catalog/alibaba__hh1-t2v/reproducible-output.mp4"
  },
  "state": "Completed"
}

Parameters

prompt
stringrequiredminLength: 1maxLength: 2500
resolution
stringenum: 720P, 1080P
ratio
stringenum: 16:9, 9:16, 1:1, 4:3, 3:4
duration
integerminimum: 3maximum: 15
seed
integerminimum: 0maximum: 2147483647
watermark
boolean
video
stringformat: uri

API Schemas (Raw)

Input
Output